local duration
local throttle = 0

local function OnUpdate(self, elapsed)
   throttle = throttle + elapsed
-- print(elapsed, throttle)
   if throttle > duration then -- cooldown has ended
	print("|cFFFFFF00[EPA Cooldown Monitor]|r " .. GetSpellLink(32267) .. " has finished its cooldown.")      
		if EPAConfig.ReadySound == "true" then
			PlaySoundFile("Interface\\AddOns\\EasyPortalAdvert\\sound\\portalready0"..EPAConfig.SoundID..".mp3")
		end
      throttle = 0
      duration = false
      self:SetScript("OnUpdate", nil) -- no need to check anymore
   end
end

local function OnEvent(self)
   _, duration = GetSpellCooldown(32267)
-- print("OnEvent: "..duration)
   if duration > 2 then 
      self:SetScript("OnUpdate", OnUpdate)
   end
end

local silvermoon = CreateFrame("Frame")
silvermoon:RegisterEvent("SPELL_UPDATE_COOLDOWN")
silvermoon:SetScript("OnEvent", OnEvent)